<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function(){
		var tn = 'fiche_pointages';

		/* data for selected record, or defaults if none is selected */
		var data = {
			from_pointage: <?php echo json_encode(array('id' => $rdata['from_pointage'], 'value' => $rdata['from_pointage'], 'text' => $jdata['from_pointage'])); ?>,
			nom_prenom_fp: <?php echo json_encode(array('id' => $rdata['nom_prenom_fp'], 'value' => $rdata['nom_prenom_fp'], 'text' => $jdata['nom_prenom_fp'])); ?>,
			fonction_fp: <?php echo json_encode($jdata['fonction_fp']); ?>,
			nni_fp: <?php echo json_encode($jdata['nni_fp']); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for from_pointage */
		cache.addCheck(function(u, d){
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'from_pointage' && d.id == data.from_pointage.id)
				return { results: [ data.from_pointage ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for nom_prenom_fp */
		cache.addCheck(function(u, d){
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'nom_prenom_fp' && d.id == data.nom_prenom_fp.id)
				return { results: [ data.nom_prenom_fp ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for nom_prenom_fp autofills */
		cache.addCheck(function(u, d){
			if(u != tn + '_autofill.php') return false;

			for(var rnd in d) if(rnd.match(/^rnd/)) break;

			if(d.mfk == 'nom_prenom_fp' && d.id == data.nom_prenom_fp.id){
				$j('#fonction_fp' + d[rnd]).html(data.fonction_fp);
				$j('#nni_fp' + d[rnd]).html(data.nni_fp);
				return true;
			}

			return false;
		});

		cache.start();
	});
</script>

